cascading.pipe

## Class Boundary

- java.lang.Object
- - cascading.pipe.Pipe
  - - cascading.pipe.Boundary

- All Implemented Interfaces:
    FlowElement, ScopedElement, Traceable, java.io.Serializable

      public class Boundary
      extends Pipe

  The Boundary class is only used internally by the planner to mark the boundaries between partitions within the element graph.

  In MapReduce, Taps are used. But in DAG models, Boundary would specify where a system dependent interface should be used.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class cascading.pipe.Pipe

      `configDef, name, nodeConfigDef, parent, previous, stepConfigDef`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Boundary()` Intentionally does not provide a chaining constructor, as Boundary should not be inserted into an assembly by a user.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()` Get the name of this pipe.
    `Fields` | `resolveIncomingOperationPassThroughFields(Scope incomingScope)` Method resolveIncomingOperationPassThroughFields returns the Fields outgoing from the previous FlowElement that are consumable by this FlowElement when preparing the Pipe outgoing tuple.

    - ### Methods inherited from class cascading.pipe.Pipe

      `equals, getConfigDef, getHeads, getNodeConfigDef, getParent, getPrevious, getStepConfigDef, getTrace, hasConfigDef, hashCode, hasNodeConfigDef, hasStepConfigDef, id, named, names, outgoingScopeFor, pipes, print, printInternal, resolveIncomingOperationArgumentFields, setParent, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Boundary

          public Boundary()

      Intentionally does not provide a chaining constructor, as Boundary should not be inserted into an assembly by a user.

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Description copied from class: `Pipe`
      Get the name of this pipe. Guaranteed non-null.
      Overrides:
        `getName` in class `Pipe`
      Returns:
        String the name of this pipe

    - #### resolveIncomingOperationPassThroughFields

          public Fields resolveIncomingOperationPassThroughFields(Scope incomingScope)

      Description copied from interface: `ScopedElement`
      Method resolveIncomingOperationPassThroughFields returns the Fields outgoing from the previous FlowElement that are consumable by this FlowElement when preparing the Pipe outgoing tuple.
      Specified by:
        `resolveIncomingOperationPassThroughFields` in interface `ScopedElement`
      Overrides:
        `resolveIncomingOperationPassThroughFields` in class `Pipe`
      Parameters:
        `incomingScope` - of type Scope
      Returns:
        Fields

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.